/*couleurs*/
$sweetalert: #f27474;
$codegreen: green;
$codepurple: purple;
$gris: rgb(231, 231, 231);

.text-green {
    color: $codegreen;
}
.text-purple {
    color: $codepurple;
}
.text-swal {
    color: $sweetalert;
}


html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    color: grey;
}

section {
    height: 100vh;
    margin: 0;
    position: relative;
    padding: 30px 70px 30px 60px;
}

#sec1, #sec10 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

#sec2, #sec4, #sec6, #sec8, #sec10 {
    background-color: $gris;
}

.text-center {
    text-align: center;
}

.slide-content {
    margin: 30px;
}

.nav-buttons {
    position: absolute;
    top: 50%;
    right: 20px;
    width: 42px;
}

h1 {
    text-align: center;
    font-weight: 500;
    color: $sweetalert;
    font-size: 45px;
    margin-top: 0;
}

h2 {
    font-weight: 500;
    color: grey;
    font-size: 30px;
}

.code {
    padding: 15px;
    margin: 4px;
    font-family: 'Roboto Mono', monospace;
    font-size: 16px;
    color: rgb(59, 59, 59);
}

.code-gris {
    background-color: $gris;
}
.code-blanc {
    background-color: white;
}

.double-code {
    width: 100%;
    display: flex;
    p {
        flex-grow: 1;
    }
}

.double-titre {
    width: 100%;
    display: flex;
    p {
        flex-grow: 1;
        font-size: 18px;
        margin: 4px;
        padding: 0;
        text-align: center;
    }
}

.bouton-double {
    display: flex;
    justify-content: center;
}


.bouton {
    margin: 10px 20px;
    width: 150px;
    background-color: grey;
    border-radius: 5px;
    padding: 4px 8px;
    text-align: center;
    display: inline-block;
    color: white;
    box-shadow: 0 8px 6px -6px grey;
    font-weight: 500;
    font-size: 22px;
    &:hover {
        opacity: .8;
        cursor: pointer;
    }
}

#bouton2 {
    background-color: $sweetalert;
}

#bouton3 {
    background-color: rgb(115, 218, 115);
}

#bouton4 {
    background-color: rgb(233, 169, 95);
}

#bouton5 {
    background-color: rgb(255, 97, 97);
}

#bouton6 {
    background-color: rgb(126, 218, 213);
}

#bouton7, #bouton8, #bouton9, #bouton10 {
    height: 30px;
}

